# `mlpack_jll.jl` (v3.4.2+1)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl). The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/21101c5473e5c7d615fe0a0a63eff2b414039461/M/mlpack/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.  If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://juliapackaging.github.io/BinaryBuilder.jl/dev/jll/).

## Sources

The tarballs for `mlpack_jll.jl` have been built from these sources:

* compressed archive: https://www.mlpack.org/files/mlpack-3.4.2.tar.gz (SHA256 checksum: `9e5c4af5c276c86a0dcc553289f6fe7b1b340d61c1e59844b53da0debedbb171`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/21101c5473e5c7d615fe0a0a63eff2b414039461/M/mlpack/bundled)

## Platforms

`mlpack_jll.jl` is available for the following platforms:

* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc}` (`aarch64-linux-gnu-cxx03`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc}` (`aarch64-linux-gnu-cxx11`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=musl}` (`aarch64-linux-musl-cxx03`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=musl}` (`aarch64-linux-musl-cxx11`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc}` (`armv7l-linux-gnueabihf-cxx03`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc}` (`armv7l-linux-gnueabihf-cxx11`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl}` (`armv7l-linux-musleabihf-cxx03`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl}` (`armv7l-linux-musleabihf-cxx11`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc}` (`i686-linux-gnu-cxx03`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc}` (`i686-linux-gnu-cxx11`)
* `Linux i686 {cxxstring_abi=cxx03, libc=musl}` (`i686-linux-musl-cxx03`)
* `Linux i686 {cxxstring_abi=cxx11, libc=musl}` (`i686-linux-musl-cxx11`)
* `Windows i686 {cxxstring_abi=cxx03}` (`i686-w64-mingw32-cxx03`)
* `Windows i686 {cxxstring_abi=cxx11}` (`i686-w64-mingw32-cxx11`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc}` (`powerpc64le-linux-gnu-cxx03`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc}` (`powerpc64le-linux-gnu-cxx11`)
* `macOS x86_64` (`x86_64-apple-darwin`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc}` (`x86_64-linux-gnu-cxx03`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc}` (`x86_64-linux-gnu-cxx11`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=musl}` (`x86_64-linux-musl-cxx03`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=musl}` (`x86_64-linux-musl-cxx11`)
* `FreeBSD x86_64` (`x86_64-unknown-freebsd`)
* `Windows x86_64 {cxxstring_abi=cxx03}` (`x86_64-w64-mingw32-cxx03`)
* `Windows x86_64 {cxxstring_abi=cxx11}` (`x86_64-w64-mingw32-cxx11`)

## Dependencies

The following JLL packages are required by `mlpack_jll.jl`:

* [`OpenBLAS_jll`](https://github.com/JuliaBinaryWrappers/OpenBLAS_jll.jl)
* [`armadillo_jll`](https://github.com/JuliaBinaryWrappers/armadillo_jll.jl)
* [`boost_jll`](https://github.com/JuliaBinaryWrappers/boost_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libmlpack`
* `LibraryProduct`: `libmlpack_julia_adaboost`
* `LibraryProduct`: `libmlpack_julia_approx_kfn`
* `LibraryProduct`: `libmlpack_julia_bayesian_linear_regression`
* `LibraryProduct`: `libmlpack_julia_cf`
* `LibraryProduct`: `libmlpack_julia_dbscan`
* `LibraryProduct`: `libmlpack_julia_decision_stump`
* `LibraryProduct`: `libmlpack_julia_decision_tree`
* `LibraryProduct`: `libmlpack_julia_det`
* `LibraryProduct`: `libmlpack_julia_emst`
* `LibraryProduct`: `libmlpack_julia_fastmks`
* `LibraryProduct`: `libmlpack_julia_gmm_generate`
* `LibraryProduct`: `libmlpack_julia_gmm_probability`
* `LibraryProduct`: `libmlpack_julia_gmm_train`
* `LibraryProduct`: `libmlpack_julia_hmm_generate`
* `LibraryProduct`: `libmlpack_julia_hmm_loglik`
* `LibraryProduct`: `libmlpack_julia_hmm_train`
* `LibraryProduct`: `libmlpack_julia_hmm_viterbi`
* `LibraryProduct`: `libmlpack_julia_hoeffding_tree`
* `LibraryProduct`: `libmlpack_julia_image_converter`
* `LibraryProduct`: `libmlpack_julia_kde`
* `LibraryProduct`: `libmlpack_julia_kernel_pca`
* `LibraryProduct`: `libmlpack_julia_kfn`
* `LibraryProduct`: `libmlpack_julia_kmeans`
* `LibraryProduct`: `libmlpack_julia_knn`
* `LibraryProduct`: `libmlpack_julia_krann`
* `LibraryProduct`: `libmlpack_julia_lars`
* `LibraryProduct`: `libmlpack_julia_linear_regression`
* `LibraryProduct`: `libmlpack_julia_linear_svm`
* `LibraryProduct`: `libmlpack_julia_lmnn`
* `LibraryProduct`: `libmlpack_julia_local_coordinate_coding`
* `LibraryProduct`: `libmlpack_julia_logistic_regression`
* `LibraryProduct`: `libmlpack_julia_lsh`
* `LibraryProduct`: `libmlpack_julia_mean_shift`
* `LibraryProduct`: `libmlpack_julia_nbc`
* `LibraryProduct`: `libmlpack_julia_nca`
* `LibraryProduct`: `libmlpack_julia_nmf`
* `LibraryProduct`: `libmlpack_julia_pca`
* `LibraryProduct`: `libmlpack_julia_perceptron`
* `LibraryProduct`: `libmlpack_julia_preprocess_binarize`
* `LibraryProduct`: `libmlpack_julia_preprocess_describe`
* `LibraryProduct`: `libmlpack_julia_preprocess_one_hot_encoding`
* `LibraryProduct`: `libmlpack_julia_preprocess_scale`
* `LibraryProduct`: `libmlpack_julia_preprocess_split`
* `LibraryProduct`: `libmlpack_julia_radical`
* `LibraryProduct`: `libmlpack_julia_random_forest`
* `LibraryProduct`: `libmlpack_julia_softmax_regression`
* `LibraryProduct`: `libmlpack_julia_sparse_coding`
* `LibraryProduct`: `libmlpack_julia_util`
